Folia
APIPublic forms

Get a published form

No authentication. Returns the published questions and copy. Forms that are not live return 404.

GET/public/forms/{token}

Path Parameters

tokenstring

The form's public token, from its share link.

Match^[A-Za-z0-9_-]+$
Length8 <= length <= 64

Response Body

curl -X GET "https://www.foliaplanner.com/api/v1/public/forms/stringst"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "heading": "string",
    "intro": "string",
    "successMessage": "string",
    "redirectUrl": "string",
    "questions": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "label": "string",
        "helpText": "string",
        "type": "short_text",
        "required": true,
        "options": [
          "string"
        ],
        "autocomplete": "name"
      }
    ]
  }
}
{
  "type": "string",
  "title": "string",
  "status": -9007199254740991,
  "code": "validation_failed",
  "detail": "string",
  "errors": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "type": "string",
  "title": "string",
  "status": -9007199254740991,
  "code": "validation_failed",
  "detail": "string",
  "errors": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "type": "string",
  "title": "string",
  "status": -9007199254740991,
  "code": "validation_failed",
  "detail": "string",
  "errors": {
    "property1": "string",
    "property2": "string"
  }
}